import type { ProcessedConfig } from "../../config.mjs";
import type { Steps } from "../../utils/index.mjs";
export type BuildContext = {
    analyze: boolean;
    build: boolean;
    config: ProcessedConfig;
    exports?: string[];
    port?: number;
};
export declare const steps: Steps<BuildContext>;
/**
 * Build all files in the given source directory to the given destination
 * directory.
 *
 * This creates the destination directory if it doesn't exist.
 *
 * @param config - The config object.
 * @param analyze - Whether to analyze the bundle.
 * @returns Nothing.
 */
export declare function buildHandler(config: ProcessedConfig, analyze?: boolean): Promise<void>;
//# sourceMappingURL=build.d.mts.map