import type { Ora } from "ora/index.js";
/**
 * Check the snap manifest file at the given path. If `write` is `true`, the
 * manifest will be written to disk if it is invalid. If `write` is `false`,
 * the manifest will not be written to disk, and the function will log any
 * errors and warnings to the console.
 *
 * @param path - The path to the manifest file.
 * @param write - Whether to write the manifest to disk if it is invalid.
 * @param exports - The exports to check in the manifest.
 * @param spinner - An optional spinner to use for logging.
 * @returns Whether the manifest is valid.
 */
export declare function manifest(path: string, write: boolean, exports?: string[], spinner?: Ora): Promise<boolean>;
//# sourceMappingURL=implementation.d.mts.map