import { startSandbox } from "./server.mjs";
import { success, executeSteps } from "../../utils/index.mjs";
import { steps as buildSteps } from "../build/index.mjs";
const steps = [
    ...buildSteps,
    {
        name: 'Running sandbox.',
        task: async ({ config, spinner }) => {
            const { port } = await startSandbox(config);
            success(`Sandbox running at http://localhost:${port}.`, spinner);
            spinner.stop();
        },
    },
];
/**
 * Start the sandbox.
 *
 * @param config - The config object.
 * @param options - The options object.
 * @param options.build - Whether to build the Snap before starting the sandbox.
 */
export async function sandboxHandler(config, { build = true }) {
    await executeSteps(steps, {
        analyze: false,
        build,
        config,
    });
}
//# sourceMappingURL=sandbox.mjs.map