"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startSandbox = void 0;
const express_1 = require("express/index.js");
const path_1 = require("path");
const webpack_1 = require("../../webpack/index.cjs");
/**
 * Start the sandbox.
 *
 * @param config - The config object.
 * @returns The server instance.
 */
async function startSandbox(config) {
    const server = (0, webpack_1.getServer)(config, [
        (app) => {
            app.use('/__sandbox__', (0, express_1.static)((0, path_1.dirname)(require.resolve('@metamask/snaps-sandbox/dist/index.html'))));
            app.get('/', (_request, response) => {
                response.sendFile(require.resolve('@metamask/snaps-sandbox/dist/index.html'));
            });
        },
    ]);
    // If the `configPort` is `0`, the OS will choose a random port for us, so we
    // need to get the port from the server after it starts.
    return await server.listen(config.server.port);
}
exports.startSandbox = startSandbox;
//# sourceMappingURL=server.cjs.map