"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serveHandler = void 0;
const utils_1 = require("../../utils/index.cjs");
const webpack_1 = require("../../webpack/index.cjs");
/**
 * Starts a local, static HTTP server on the given port with the given root
 * directory.
 *
 * @param config - The config object.
 * @param options - The options object.
 */
async function serveHandler(config, options) {
    const server = (0, webpack_1.getServer)(config);
    // If the `configPort` is `0`, the OS will choose a random port for us, so we
    // need to get the port from the server after it starts.
    const { port } = await server.listen(options.port);
    (0, utils_1.info)(`The server is listening on http://localhost:${port}.`);
}
exports.serveHandler = serveHandler;
//# sourceMappingURL=serve.cjs.map