import { info } from "../../utils/index.mjs";
import { getServer } from "../../webpack/index.mjs";
/**
 * Starts a local, static HTTP server on the given port with the given root
 * directory.
 *
 * @param config - The config object.
 * @param options - The options object.
 */
export async function serveHandler(config, options) {
    const server = getServer(config);
    // If the `configPort` is `0`, the OS will choose a random port for us, so we
    // need to get the port from the server after it starts.
    const { port } = await server.listen(options.port);
    info(`The server is listening on http://localhost:${port}.`);
}
//# sourceMappingURL=serve.mjs.map