import type { Ora } from "ora/index.js";
/**
 * Log a success message. The message is prefixed with a green checkmark.
 *
 * @param message - The message to log.
 * @param spinner - The spinner to clear.
 */
export declare function success(message: string, spinner?: Ora): void;
/**
 * Log a warning message. The message is prefixed with a yellow warning sign.
 *
 * @param message - The message to log.
 * @param spinner - The spinner to clear.
 */
export declare function warn(message: string, spinner?: Ora): void;
/**
 * Log an info message.
 *
 * @param message - The message to log.
 * @param spinner - The spinner to clear.
 */
export declare function info(message: string, spinner?: Ora): void;
/**
 * Log an error message. The message is prefixed with "Error:".
 *
 * @param message - The message to log.
 * @param spinner - The spinner to clear.
 */
export declare function error(message: string, spinner?: Ora): void;
//# sourceMappingURL=logging.d.cts.map