"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRelativePath = void 0;
const path_1 = require("path");
/**
 * Get the relative path from the current working directory to the given
 * absolute path.
 *
 * @param absolutePath - The absolute path.
 * @param cwd - The current working directory. Defaults to `process.cwd()`.
 * @returns The relative path.
 */
function getRelativePath(absolutePath, cwd = process.cwd()) {
    return (0, path_1.relative)(cwd, absolutePath);
}
exports.getRelativePath = getRelativePath;
//# sourceMappingURL=path.cjs.map