import type { Ora } from "ora/index.js";
export type Step<Context extends Record<string, unknown>> = {
    name: string;
    condition?: (context: Context) => boolean;
    task: (context: Context & {
        spinner: Ora;
    }) => Promise<Context | void>;
};
export type Steps<Context extends Record<string, unknown>> = readonly Step<Context>[];
/**
 * Execute a list of steps in series. Each step receives the context object and
 * a spinner instance.
 *
 * @param steps - The steps to execute.
 * @param context - The context object that will be passed to each step.
 */
export declare function executeSteps<Context extends Record<string, unknown>>(steps: Steps<Context>, context: Context): Promise<void>;
//# sourceMappingURL=steps.d.mts.map