"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCompiler = void 0;
const webpack_1 = require("webpack");
const config_1 = require("./config.cjs");
/**
 * Get a Webpack compiler for the given config.
 *
 * @param config - The config object.
 * @param options - The Webpack options.
 * @returns The Webpack compiler.
 */
async function getCompiler(config, options) {
    const baseWebpackConfig = await (0, config_1.getDefaultConfiguration)(config, options);
    const webpackConfig = config.customizeWebpackConfig?.(baseWebpackConfig) ?? baseWebpackConfig;
    return (0, webpack_1.webpack)(webpackConfig);
}
exports.getCompiler = getCompiler;
//# sourceMappingURL=compiler.cjs.map