import $webpack from "webpack";
const { webpack } = $webpack;
import { getDefaultConfiguration } from "./config.mjs";
/**
 * Get a Webpack compiler for the given config.
 *
 * @param config - The config object.
 * @param options - The Webpack options.
 * @returns The Webpack compiler.
 */
export async function getCompiler(config, options) {
    const baseWebpackConfig = await getDefaultConfiguration(config, options);
    const webpackConfig = config.customizeWebpackConfig?.(baseWebpackConfig) ?? baseWebpackConfig;
    return webpack(webpackConfig);
}
//# sourceMappingURL=compiler.mjs.map